code
stringlengths
1
1.96M
language
stringclasses
1 value
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # install all the required libraries and utilities based on the image downloaded from uml website . config_uml [[ $# -eq 1 ]] || { echo "Usage: build_fs.sh uml_fs"; exit 1; } uml_fs=$1 fs_image=Debian-3.1-x86-root_fs if [ -f $fs_...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test replication resuming after network goes down and up . config_replication . setup_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start replication ... ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $tar...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test zumastor stop on source . config_replication . setup_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start replication ... ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $target_uml_host:$target_port -p...
Shell
#!/bin/bash . config_replication ssh $SSH_OPTS $source_uml_host "zumastor forget volume $vol" ssh $SSH_OPTS $target_uml_host "zumastor forget volume $vol" ssh $SSH_OPTS $source_uml_host "halt" ssh $SSH_OPTS $target_uml_host "halt"
Shell
#!/bin/bash source_uml_ip=192.168.100.5 source_uml_host=uml_5 source_uml_fs=uml_fs5 target_uml_ip=192.168.100.6 target_uml_host=uml_6 target_uml_fs=uml_fs6 source_ubdb_dev=$PWD/source_ubdb source_ubdc_dev=$PWD/source_ubdc target_ubdb_dev=$PWD/target_ubdb target_ubdc_dev=$PWD/target_ubdc vol="test" hourly_snapnum=36...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test replication resuming after network goes down and up . config_replication . setup_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start replication ... ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $tar...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # install all the required libraries and utilities based on the image downloaded from uml website . config_uml [[ $# -eq 1 ]] || { echo "Usage: build_fs.sh uml_fs"; exit 1; } uml_fs=$1 fs_image=Debian-3.1-x86-root_fs if [ -f $fs_...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test zumastor stop on target . config_single . setup_single.sh || { echo UNRESOLVED; exit 1; } mount_point=/var/run/zumastor/mount/$vol RUNPATH=/var/run/zumastor SERVERS=$RUNPATH/servers AGENTS=$RUNPATH/agents server=${SERVERS}...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # update zumastor and ddsnap . config_uml [[ $# -eq 1 ]] || { echo "Usage: update_zuma.sh uml_fs"; exit 1; } uml_fs=$1 echo -n Upgrading ddsnap and zumastor... mount -o loop $uml_fs /mnt || exit 1 pushd $ZUMA_REPOSITORY/ddsnap ma...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test zumastor stop on source . config_replication . setup_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start replication ... ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $target_uml_host:$target_port -p...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # test zumastor stop on target . config_replication . setup_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start replication ... ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $target_uml_host:$target_port -p...
Shell
#!/bin/bash # Copyright 2007 Google Inc. # Author: Jiaying Zhang <jiayingz@google.com> # keep running full volume replication between source and target . config_replication . setup_replication.sh || { echo UNRESOLVED; exit 1; } echo -n Start full-volume replication test... ssh $SSH_OPTS $source_uml_host "zumastor d...
Shell
#!/bin/bash uml_ip=192.168.100.5 uml_host=uml_5 uml_fs=uml_fs5 ubdb_dev=$PWD/ubdb ubdc_dev=$PWD/ubdc vol="test" VOLUMES=/var/lib/zumastor/volumes
Shell
./fs_perms 001 99 99 12 100 x 1 ./fs_perms 010 99 99 200 99 x 1 ./fs_perms 100 99 99 99 500 x 1 ./fs_perms 002 99 99 12 100 w 1 ./fs_perms 020 99 99 200 99 w 1 ./fs_perms 200 99 99 99 500 w 1 ./fs_perms 004 99 99 12 100 r 1 ./fs_perms 040 99 99 200 99 r 1 ./fs_perms 400 99 99 99 500 r 1 ./fs_perms 000 99 99 99 99 r 0 ....
Shell
#!/bin/sh # replicate.sh : replication test case #set -x tet_startup="startup" tet_cleanup="cleanup" iclist="ic1 ic2 ic3" ic1="small_repl1 small_repl2" ic2="medium_repl1 medium_repl2" ic3="large_repl1 large_repl2" # source TET API shell functions . $TET_ROOT/lib/xpg3sh/tetapi.sh repl_init() { vol=$1 # # Verify t...
Shell
#!/bin/sh # replicate.sh : replication test case #set -x tet_startup="startup" tet_cleanup="cleanup" iclist="ic1 ic2 ic3" ic1="small_repl1 small_repl2" ic2="medium_repl1 medium_repl2" ic3="large_repl1 large_repl2" # source TET API shell functions . $TET_ROOT/lib/xpg3sh/tetapi.sh repl_init() { vol=$1 # # Verify t...
Shell
#!/bin/bash output_dir=$1 for dir in `ls $output_dir`; do [[ -d $output_dir/$dir ]] || continue rm -f $output_dir/$dir.dots rm -f /tmp/dots for subdir in `ls $output_dir/$dir`; do tail -n 1 $output_dir/$dir/$subdir/summary >> /tmp/dots sort -n /tmp/dots > $output_dir/$dir.dots done done echo set title \"Fst...
Shell
#!/bin/bash # example script for comparing nfs performances of nfs-only (without zumastor), # nfs-zumastor (with zumastor and zero snapshot), and nfs-snapshot (with zumastor and one snapshot) # please change the testing nfs loads according to the server capacity LOADS="200 400 600 800 1000" # type of tests TESTS="nfs...
Shell
#!/bin/bash output_dir=$1 for dir in `ls $output_dir`; do [[ -d $output_dir/$dir ]] || continue rm -f $output_dir/$dir.dots rm -f /tmp/dots for subdir in `ls $output_dir/$dir`; do tail -n 1 $output_dir/$dir/$subdir/summary >> /tmp/dots sort -n /tmp/dots > $output_dir/$dir.dots done done echo set title \"Fst...
Shell
#!/bin/bash # example script for comparing nfs performances of nfs-only (without zumastor), # nfs-zumastor (with zumastor and zero snapshot), and nfs-snapshot (with zumastor and one snapshot) # please change the testing nfs loads according to the server capacity LOADS="200 400 600 800 1000" # type of tests TESTS="nfs...
Shell
#!/bin/sh echo set title \"Time to untar a kernel source tree vs Number of Snapshots\" echo set xlabel \"Number of Snapshots\" echo set ylabel \"Real time \(s\) to untar kernel and sync\" echo set key below echo set terminal postscript enhanced color echo set output \"all_tests.ps\" echo -n "plot " count=0 for testfil...
Shell
#!/bin/sh set -u # let make sure we use initialized variable AGENT_LOG=/tmp/agent.log SERVER_LOG=/tmp/server.log AGENT_PIPE=/tmp/control SERVER_PIPE=/tmp/server . ./config.sh global_test_num=0 setup_tar() { mkfs.ext3 $TAR_DEV || { echo "unable to mkfs tar device"; exit 1; } mount_dir $TAR_DEV $TAR_MNT cp ${SO...
Shell
#!/bin/sh set -u # let make sure we use initialized variable AGENT_LOG=/tmp/agent.log SERVER_LOG=/tmp/server.log AGENT_PIPE=/tmp/control SERVER_PIPE=/tmp/server . ./config.sh global_test_num=0 setup_tar() { mkfs.ext3 $TAR_DEV || { echo "unable to mkfs tar device"; exit 1; } mount_dir $TAR_DEV $TAR_MNT cp ${SO...
Shell
#!/bin/sh set -u # let make sure we use initialized variable #setting up system parameters for nsnaps script #Example: #VOLUME_NAME= volume you are replicating #ORIGIN_MOUNT= location of the volume's mount point #TAR_DEV= tar device #TAR_MNT= location of where TAR_DEV is mounted #SOURCE_TAR= kernel source tree #KERN...
Shell
#!/bin/sh echo set title \"Time to untar a kernel source tree vs Number of Snapshots\" echo set xlabel \"Number of Snapshots\" echo set ylabel \"Real time \(s\) to untar kernel and sync\" echo set key below echo set terminal postscript enhanced color echo set output \"all_tests.ps\" echo -n "plot " count=0 for testfil...
Shell
#!/bin/sh set -u # let make sure we use initialized variable #setting up system parameters for nsnaps script #Example: #VOLUME_NAME= volume you are replicating #ORIGIN_MOUNT= location of the volume's mount point #TAR_DEV= tar device #TAR_MNT= location of where TAR_DEV is mounted #SOURCE_TAR= kernel source tree #KERN...
Shell
#!/bin/sh # Simple benchmark to compare time-to-take-snapshot between # Zumastor, rsync, and lvm snapshot+rsync. abort() { echo "failed" $1 exec false echo notreached } # Create $ndirs directories, # each containing $nfiles files, # each containing $nkB pseudorandom kilobytes gendata() { local ndirs=$1...
Shell
#!/bin/sh -x # # multibonnie.sh {processes} {16MB data chunks} # # A wrapper around bonnie to launch multiple parallel threads, and to size # the small and large file data the same. Small files are between 0 and # 32 KB, with 1000 per directory. multibonnie() { N=$1 total=$2 dirs=$(( $total / $N )) size=$((...
Shell
#!/bin/sh -x # # multibonnie.sh {processes} {16MB data chunks} # # A wrapper around bonnie to launch multiple parallel threads, and to size # the small and large file data the same. Small files are between 0 and # 32 KB, with 1000 per directory. multibonnie() { N=$1 total=$2 dirs=$(( $total / $N )) size=$((...
Shell
#!/bin/sh # Simple benchmark to compare time-to-take-snapshot between # Zumastor, rsync, and lvm snapshot+rsync. abort() { echo "failed" $1 exec false echo notreached } # Create $ndirs directories, # each containing $nfiles files, # each containing $nkB pseudorandom kilobytes gendata() { local ndirs=$1...
Shell
#!/bin/bash -x # # $Id: buildcurrent.sh 1692 2008-06-06 02:33:56Z williamanowak $ # # based on build_packages.sh # builds whatever is in current working directory, # does not pull any external source # may be run inside an isolated virtual machine for safe automatic builds # # Copyright 2007 Google Inc. All rights rese...
Shell
#!/bin/bash -x # # $Id: buildcurrentsrc.sh 1611 2008-04-29 21:21:23Z williamanowak $ # # based on buildcurrent.sh # builds whatever is in current working directory, # does not pull any external source # may be run inside an isolated virtual machine for safe automatic builds # Only builds deb src packages for upload to ...
Shell
#!/bin/sh # run after the base packages are installed, from inside the d-i environment # copied into the initrd so it doesn't need to be fetched over network # connections. # $Id: etch-late.sh 1004 2007-11-30 16:05:47Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: ...
Shell
#!/bin/sh -x # Run the etch/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # $Id: test-etch-i386.sh 1004 2007-11-30 16:05:47Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e if [ "x$MACFILE" = "x" -o "x$MA...
Shell
#!/bin/sh # run after the base packages are installed, from inside the d-i environment # copied into the initrd so it doesn't need to be fetched over network # connections. # $Id: dapper-late.sh 1004 2007-11-30 16:05:47Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License...
Shell
#!/bin/sh # run early in the dapper install, from the preseed # $Id: etch-early.sh 1004 2007-11-30 16:05:47Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e
Shell
#!/bin/sh -x # Set up the initial Ubuntu/dapper template image, for use when duplicating # the install to multiple server/client tests. Makes use of tunbr and # a presetup br1, squid, and dnsmasq. Must run from the cbtb/host-setup/ # directory to use other scripts and data. # $Id: dapper-i386.sh 1534 2008-04-11 18:...
Shell
#!/bin/sh -x # Run the dapper/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # Any parameters are copied to the destination instance and executed as root # $Id: test-dapper-i386.sh 1004 2007-11-30 16:05:47Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Di...
Shell
#!/bin/sh # # $Id: proxy.sh 1631 2008-05-01 21:32:45Z williamanowak $ # # Set up the local machine (Debian or derivative) with the pass-through proxy. set -e VIRTNET="192.168.23.0/24" VIRTHOST="192.168.23.1" [ -x /etc/default/testenv ] && . /etc/default/testenv # if apache2 was already installed and the default Virt...
Shell
#!/bin/sh # # $Id: proxy.sh 1198 2007-12-22 11:43:15Z drake.diedrich $ # # Install debootstrap and configure for dapper if necessary set -e VIRTNET="192.168.23.0/24" VIRTHOST="192.168.23.1" [ -x /etc/default/testenv ] && . /etc/default/testenv # install debootstrap if [ ! -x /usr/sbin/debootstrap ] then if [ -f /e...
Shell
#!/bin/sh # Turn the swap partition into a physical volume in the sysvg volume group # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e modprobe dm-mod || true if egrep dm_mod /proc/modules ; then dev=`awk '/swap/ { print $1; }' /etc/fstab` egrep dm-mod /etc/mo...
Shell
#!/bin/sh # # $Id$ # # Install and configure atftpd for use with the virtualization test # environment for zumastor. # # Copyright 2007 Google Inc. All rights reserved. # Author: Drake Diedrich (dld@google.com) VIRTHOST="192.168.23.1" [ -x /etc/default/testenv ] && . /etc/default/testenv # Create /tftpboot if it doe...
Shell
#!/bin/sh # run after the base packages are installed, from inside the d-i environment # copied into the initrd so it doesn't need to be fetched over network # connections. # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e mkdir /target/root/.ssh cp /authorized_ke...
Shell
#!/bin/sh -x # # $Id$ # # Install and configure dnsmasq to dynamically serve DNS and DHCP # for the range of addresses managed by tunbr, part of the zumastor # virtual test environment. # The default /etc/dnsmasq.conf is locally diverted and replaced # with the configuration file inline below, with instructions o...
Shell
#!/bin/sh # run early in the dapper install, from the preseed # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e
Shell
#!/bin/sh -x # Set up the initial Ubuntu/dapper template image, for use when duplicating # the install to multiple server/client tests. Makes use of tunbr and # a presetup br1, squid, and dnsmasq. Must run from the cbtb/host-setup/ # directory to use other scripts and data. # $Id$ # Copyright 2007 Google Inc. # Aut...
Shell
#!/bin/sh -x # # $Id$ # # Add the br1 bridge to /etc/network/interfaces, as required by tests in # the tunbr virtualization environment. # VIRTNET="192.168.23.0/24" VIRTHOST="192.168.23.1" VIRTBR="br1" [ -x /etc/default/testenv ] && . /etc/default/testenv if echo $VIRTNET | egrep "/24" then NETWORK=`echo $VIRTNET |...
Shell
#!/bin/sh # run early in the dapper install, from the preseed # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e
Shell
#!/bin/sh # # $Id$ # # Set up the local machine (Debian or derivative) with the pass-through proxy. set -e VIRTNET="192.168.23.0/24" VIRTHOST="192.168.23.1" [ -x /etc/default/testenv ] && . /etc/default/testenv # if apache2 was already installed and the default VirtualHost is already # enabled, leave it alone. Else...
Shell
#!/bin/sh -x # Run the dapper/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # Any parameters are copied to the destination instance and executed as root # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e SSH='ssh -o S...
Shell
#!/bin/sh -x # Set up the initial Debian/etch template image, for use when duplicating # the install to multiple server/client tests. Makes use of tunbr and # a presetup br1, squid, and dnsmasq. # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e SSH='ssh -o Strict...
Shell
#!/bin/sh -x # Run the etch/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e if [ "x$MACFILE" = "x" -o "x$MACADDR" = "x" -o "x$IFACE" = "x" \ -o "x$IPADDR" = "x" ] ...
Shell
#!/bin/sh # # $Id: proxy.sh 1198 2007-12-22 11:43:15Z drake.diedrich $ # # Install debootstrap and configure for dapper if necessary set -e VIRTNET="192.168.23.0/24" VIRTHOST="192.168.23.1" [ -x /etc/default/testenv ] && . /etc/default/testenv # install debootstrap if [ ! -x /usr/sbin/debootstrap ] then if [ -f /e...
Shell
#!/bin/sh # run after the base packages are installed, from inside the d-i environment # copied into the initrd so it doesn't need to be fetched over network # connections. # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e mkdir /target/root/.ssh cp /authorized_ke...
Shell
#!/bin/sh -x # # $Id$ # # Install any other zumastor testenv (cbtb) dependencies aptitude install -y timeout uml-utilities pwgen qemu
Shell
#!/bin/sh -x # # $Id: dnsmasq.sh 1404 2008-02-16 00:22:17Z drake.diedrich $ # # Install and configure dnsmasq to dynamically serve DNS and DHCP # for the range of addresses managed by tunbr, part of the zumastor # virtual test environment. # The default /etc/dnsmasq.conf is locally diverted and replaced # with th...
Shell
#!/bin/sh -x # # $Id: dependencies.sh 1530 2008-04-08 22:58:28Z williamanowak $ # # Install any other zumastor testenv (cbtb) dependencies aptitude install -y timeout uml-utilities pwgen qemu
Shell
#!/bin/sh # # $Id: atftpd.sh 1362 2008-02-13 00:28:42Z drake.diedrich $ # # Install and configure atftpd for use with the virtualization test # environment for zumastor. # # Copyright 2007 Google Inc. All rights reserved. # Author: Drake Diedrich (dld@google.com) VIRTHOST="192.168.23.1" [ -x /etc/default/testenv ] &&...
Shell
#!/bin/sh # run early in the dapper install, from the preseed # $Id: dapper-early.sh 1004 2007-11-30 16:05:47Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e
Shell
#!/bin/sh -x # # $Id: interfaces-bridge.sh 1404 2008-02-16 00:22:17Z drake.diedrich $ # # Add the br1 bridge to /etc/network/interfaces, as required by tests in # the tunbr virtualization environment. # VIRTNET="192.168.23.0/24" VIRTHOST="192.168.23.1" VIRTBR="br1" [ -x /etc/default/testenv ] && . /etc/default/testenv...
Shell
#!/bin/sh # Turn the swap partition into a physical volume in the sysvg volume group # $Id: swap2sysvg.sh 1004 2007-11-30 16:05:47Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e modprobe dm-mod || true if egrep dm_mod /proc/modules ; then dev=`awk ...
Shell
#!/bin/sh -x # Set up the initial Debian/etch template image, for use when duplicating # the install to multiple server/client tests. Makes use of tunbr and # a presetup br1, squid, and dnsmasq. # $Id: etch-i386.sh 1004 2007-11-30 16:05:47Z drake.diedrich $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@...
Shell
#!/bin/sh -x # Run the zuma/dapper/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # Any parameters are copied to the destination instance and executed as root # $Id: test-zuma-dapper-i386.sh 1648 2008-05-07 20:51:43Z williamanowak $ # Copyright 2007 Google Inc. # Author:...
Shell
#!/bin/sh # # $Id$ # # Launch the zumastor continuous build, test, and install scripts # on all of the automated repository branches. # Must be run as the unprivileged zbuild user. # Usually run under su from the init.d script. set -e for branch in /home/zbuild /home/zbuild/0.6 /home/zbuild/0.7 do cd ${branch} rm...
Shell
#!/bin/bash -x # # $Id: ptxdist-image.sh 1279 2008-01-15 04:44:35Z drake.diedrich $ # # based partially on buildcurrent.sh # builds a ptxdist image with zumastor kernel and userland support # # Copyright 2007 Google Inc. # Author: Chuan-kai Lin (cklin@google.com) KERNEL_VERSION=`awk '/^2\.6\.[0-9]+(\.[0-9]+)?$/ { prin...
Shell
#!/bin/sh -x # # $Id: dapper-build.sh 1611 2008-04-29 21:21:23Z williamanowak $ # # Launch a dapper-i386 snapshot # create a build user in the snapshot # copy the zumastor source to ~build # run buildcurrent.sh as user build in the testenv instance # pull the debs out of the instance # shut down the instance # # Copy t...
Shell
#!/bin/sh -x # # $Id: runtests.sh 1600 2008-04-27 20:56:40Z williamanowak $ # # # run the cbtb test suite under multiple tunbr invocations from # continuous-test.sh, store the results in the build/ directory, and email # the zumastor-commits list. Return code indicates that at least # one mandatory rest failed, and is...
Shell
#!/bin/sh -x # # Build an image with current or provided zumastor debs installed, booted, # and ready to immediately run single-node tests. # Inherits from the generic dapper template. # # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e # wait for ssh to work. Param...
Shell
#!/bin/sh -x # # $Id$ # # Launch a dapper-i386 snapshot # create a build user in the snapshot # copy the zumastor source to ~build # run buildcurrent.sh as user build in the testenv instance # pull the debs out of the instance # shut down the instance # # Copy this to a directory outside the working directory, and laun...
Shell
#!/bin/sh -x # # $Id$ # # Continuously check whether a new build has completed, and install # the new debs into a new image to use for testing. Create a symlink to # the new image for the continuous-test script to notice and launch tests # against. repo="${PWD}/zumastor" top="${PWD}" branch=`cat $repo/Version` buil...
Shell
#!/bin/bash -x # # $Id$ # # based partially on buildcurrent.sh # builds a ptxdist image with zumastor kernel and userland support # # Copyright 2007 Google Inc. # Author: Chuan-kai Lin (cklin@google.com) KERNEL_VERSION=`awk '/^2\.6\.[0-9]+(\.[0-9]+)?$/ { print $1; }' KernelVersion` if [ "x$KERNEL_VERSION" = "x" ] ; th...
Shell
#!/bin/sh -x # # $Id$ # # # Continuously svn update, run the encapsulated build # Create symlinks to the new debs each time a new build is successful, # so other continuous-* scripts can tell at a glance that a new one # has arrived. mailto=/usr/bin/mailto sendmail=/usr/sbin/sendmail biabam=/usr/bin/biabam TUNBR=tunbr...
Shell
#!/bin/sh # # $Id$ # # Launch the zumastor continuous build, test, and install scripts # on all of the automated repository branches. # Must be run as the unprivileged zbuild user. # Usually run under su from the init.d script. set -e for branch in /home/zbuild /home/zbuild/0.6 /home/zbuild/0.7 do cd ${branch} rm...
Shell
#!/bin/sh -x # # $Id$ # # # run the cbtb test suite under multiple tunbr invocations from # continuous-test.sh, store the results in the build/ directory, and email # the zumastor-commits list. Return code indicates that at least # one mandatory rest failed, and is used by the continuous-test.sh # loop to avoid rerunn...
Shell
#!/bin/sh # # $Id$ # # Launch the zumastor continuous build script as the zbuild user # on bootup. Should be installed as /etc/init.d/zbuild and # symlinked from /etc/rc2.d/S95zbuild case "$1" in start) rm -f /var/lib/misc/dnsmasq.leases /var/lib/misc/dnsmasq.leases.new \ /var/lib/misc/tunbr.le...
Shell
#!/bin/sh -x # Run the zuma/dapper/i386 image using -snapshot to verify that it works. # The template should be left unmodified. # Any parameters are copied to the destination instance and executed as root # $Id$ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@google.com> # License: GPLv2 set -e # wait f...
Shell
#!/bin/sh -x # # $Id$ # # # continuously run an svn update on a zumastor repository with the cbtb/tests # Whenever the last successful test revision differs from the last successful # install revision, fire off a new round of tests. top="${PWD}" installrev='' if [ -f ${top}/zumastor/build/installrev ] ; then instal...
Shell
#!/bin/sh -x # # Build an image with current or provided zumastor debs installed, booted, # and ready to immediately run single-node tests. # Inherits from the generic dapper template. # # $Id: zuma-dapper-i386.sh 1568 2008-04-21 20:56:52Z williamanowak $ # Copyright 2007 Google Inc. # Author: Drake Diedrich <dld@googl...
Shell
#!/bin/sh -x # # $Id: continuous-install.sh 1600 2008-04-27 20:56:40Z williamanowak $ # # Continuously check whether a new build has completed, and install # the new debs into a new image to use for testing. Create a symlink to # the new image for the continuous-test script to notice and launch tests # against. repo...
Shell
#!/bin/sh -x # # $Id: continuous-test.sh 1376 2008-02-13 04:00:49Z drake.diedrich $ # # # continuously run an svn update on a zumastor repository with the cbtb/tests # Whenever the last successful test revision differs from the last successful # install revision, fire off a new round of tests. top="${PWD}" installrev...
Shell
#!/bin/sh -x # # $Id: continuous-build.sh 1580 2008-04-24 00:59:00Z williamanowak $ # # # Continuously svn update, run the encapsulated build # Create symlinks to the new debs each time a new build is successful, # so other continuous-* scripts can tell at a glance that a new one # has arrived. mailto=/usr/bin/mailto ...
Shell
#!/bin/sh # # $Id$ # # Launch the zumastor continuous build script as the zbuild user # on bootup. Should be installed as /etc/init.d/zbuild and # symlinked from /etc/rc2.d/S95zbuild case "$1" in start) rm -f /var/lib/misc/dnsmasq.leases /var/lib/misc/dnsmasq.leases.new \ /var/lib/misc/tunbr.le...
Shell
#!/bin/sh -x # # test multi-layer replication. # # http://code.google.com/p/zumastor/issues/detail?id=27 # Copyright 2008 Google Inc. All rights reserved # Author: Jiaying Zhang (jiayingz@google.com) set -e # Terminate test in 10 minutes. TIMEOUT=600 NUMDEVS=2 DEV1SIZE=4 DEV2SIZE=8 #DEV1NAME=/dev/null #DEV2NAME=/dev...
Shell
#!/bin/sh -x # # test multi-layer replication. # # http://code.google.com/p/zumastor/issues/detail?id=27 # Copyright 2008 Google Inc. All rights reserved # Author: Jiaying Zhang (jiayingz@google.com) set -e # Terminate test in 10 minutes. TIMEOUT=600 NUMDEVS=2 DEV1SIZE=4 DEV2SIZE=8 #DEV1NAME=/dev/null #DEV2NAME=/dev...
Shell
#!/bin/sh -x # # $Id: replication-zumastor.sh 1601 2008-04-28 16:26:26Z drake.diedrich $ # # Set up origin and snapshot store on master and secondary machine on # raw disks. Begin replication cycle between machines # and wait until it arrives and can be verified. # Modify the origin and verify that the modification al...
Shell
#!/bin/sh -x # # $Id: replication-zumastor-slave-ssh.sh 1647 2008-05-07 20:35:09Z williamanowak $ # # Based on replication-zumastor. Only the slave can ssh to root on the # master, the master cannot ssh to the slave as root. Since this is # not designed at present to work, yet is required to survive compromise # of t...
Shell
#!/bin/sh -x # # $Id: nfs-test.sh 1605 2008-04-29 01:27:34Z williamanowak $ # # Export zumastor over NFS to a slave and then perform some filesystem # actions. Verify that the filesystem actions arrive in the snapshot store. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google.com) ...
Shell
#!/bin/sh -x # # $Id: replication-zumastor-names.sh 1605 2008-04-29 01:27:34Z williamanowak $ # # Set up origin and snapshot store on master and secondary machine on # raw disks. Begin replication cycle between machines # and wait until it arrives and can be verified. # Modify the origin and verify that the modificati...
Shell
#!/bin/sh -x # # $Id: replication-ddsnap.sh 1648 2008-05-07 20:51:43Z williamanowak $ # # Use ddsnap directly to create a snapshot, modify the origin, and create # another snapshot. Verify that checksums change and remain correct. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google...
Shell
#!/bin/sh -x # # $Id$ # # Based on replication-zumastor. Only the slave can ssh to root on the # master, the master cannot ssh to the slave as root. Since this is # not designed at present to work, yet is required to survive compromise # of the master, it is expected to fail. The slave can still ssh # to the master,...
Shell
#!/bin/sh -x # # $Id$ # # Use ddsnap directly to create a snapshot, modify the origin, and create # another snapshot. Verify that checksums change and remain correct. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google.com) set -e rc=0 # Terminate test in 20 minutes. Read by ...
Shell
#!/bin/sh -x # # $Id$ # # Export zumastor over NFSv4 to a slave and then perform some filesystem # actions. Verify that the filesystem actions arrive in the snapshot store. # # Copyright 2008 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google.com) set -e rc=0 # Terminate test in 20 minutes. Rea...
Shell
#!/bin/sh -x # # $Id$ # # Set up origin and snapshot store on master and secondary machine on # raw disks. Begin replication cycle between machines # and wait until it arrives and can be verified. # Modify the origin and verify that the modification also arrives at the # backup. # # Requires that the launch environmen...
Shell
#!/bin/sh -x # # $Id$ # # Export zumastor over CIFS to a slave and then perform some filesystem # actions. Verify that the filesystem actions arrive in the snapshot store. # # Copyright 2007 Google Inc. All rights reserved # Author: Mark Roach (mrroach@google.com) # Original Author: Drake Diedrich (dld@google.com) ...
Shell
#!/bin/sh -x # # $Id$ # # Export zumastor over NFS to a slave and then perform some filesystem # actions. Verify that the filesystem actions arrive in the snapshot store. # # Copyright 2007 Google Inc. All rights reserved # Author: Drake Diedrich (dld@google.com) set -e rc=0 # Terminate test in 20 minutes. Read ...
Shell
#!/bin/sh -x # # $Id$ # # Set up origin and snapshot store on master and secondary machine on # raw disks. Begin replication cycle between machines # and wait until it arrives and can be verified. # Modify the origin and verify that the modification also arrives at the # backup. # # Requires that the launch environmen...
Shell
#!/bin/sh -x # # $Id$ # # A test of simultaneous snapshots and replication. This is not # supported, and an issue is filed, so this test is expected to fail. # Most likely the test will need to change to match the new configuration # commands that will be part of adding this feature. # # http://code.google.com/p/zumas...
Shell
#!/bin/sh -x # # $Id: replication-zumastor-lvm-resize.sh 1189 2008-2-12 00:27:19Z jiahotcake $ # # Set up testvg with origin and snapshot store, resize origin/snapshot volumes, # verify replication still works after resizing # # Copyright 2008 Google Inc. All rights reserved # Author: Jiaying Zhang (jiayingz@google.co...
Shell
#!/bin/sh -x # # $Id: replication-snapshots-zumastor.sh 1606 2008-04-29 04:16:16Z williamanowak $ # # A test of simultaneous snapshots and replication. This is not # supported, and an issue is filed, so this test is expected to fail. # Most likely the test will need to change to match the new configuration # commands ...
Shell
#!/bin/sh -x # # $Id$ # # Export zumastor over CIFS to a slave and then perform some filesystem # actions. Verify that the filesystem actions arrive in the snapshot store. # # Copyright 2007 Google Inc. All rights reserved # Author: Mark Roach (mrroach@google.com) # Original Author: Drake Diedrich (dld@google.com) ...
Shell